05.12.2019, 14:51 UhrDeutsch | English
Hallo Gast [ Registrierung | Anmelden ]

Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
Autor Nachricht
thebluesman
Titel: Probleme nach upgrade auf Buster  BeitragVerfasst am: 10.07.2019, 12:16 Uhr



Anmeldung: 06. Okt 2007
Beiträge: 377
Wohnort: Leipzig
Hallo

hab mein Kanotix nach dieser Anleitung
https://linuxconfig.org/how-to-upgrade-debian-9-stretch-to-debian-10-buster
aktualisiert.

Im Großen und Ganzen läuft auch alles
aber:

1. Compiz startet nicht mehr.
2. Multibootusb und Virtualisierung mit qemu und kvm funktionieren nicht mehr.
3. Im Terminal werden Befehle nicht mehr gefunden
Code:
root@lenovo:/home/jan# qemu
bash: qemu: Kommando nicht gefunden.
root@lenovo:/home/jan# reboot
bash: reboot: Kommando nicht gefunden.
root@lenovo:/home/jan# blkid
bash: blkid: Kommando nicht gefunden.


Code:
root@lenovo:/home/jan# infobash -v
Host/Kernel/OS  "lenovo" running Linux 5.0.0-11-generic x86_64 [ Kanotix steelfire-nightly Steelfire64 180903a LXDE ]
CPU Info        Quad Intel Core i5-3210M @ clocked at Min:1817.557Mhz Max:2335.044Mhz
Videocard       Intel 3rd Gen Core processor Graphics Controller  X.Org 1.20.4  [ 1920x1080 ]
Processes 184 | Uptime 21min | Memory 1628.8/5716.0MB | HDD Size 1016GB (19%used) | Client Shell | Infobash v2.67.2
root@lenovo:/home/jan#


Was habsch falsch gemacht?
Lösung?
Infos?
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Antonius
Titel:   BeitragVerfasst am: 10.07.2019, 20:15 Uhr



Anmeldung: 20. Jul 2010
Beiträge: 95

zu Nr. 3: Hast Du den "su-fix" gemacht?
http://kanotix.acritox.com/factoids?key=su-fix

zu Nr. 1 und 2:
Hast Du in /etc/apt/sources.list neben der Änderung der Debian-Einträge auch die Kanotix-Einträge erweitert?
Code:
# Kanotix Silverfire
deb http://kanotix.com/files/silverfire ./
deb-src http://kanotix.com/files/silverfire ./


Ggf. könntest Du auch noch den Kernel aktualisieren:
http://kanotix.acritox.com/factoids?key=5.2
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
thebluesman
Titel:   BeitragVerfasst am: 10.07.2019, 23:06 Uhr



Anmeldung: 06. Okt 2007
Beiträge: 377
Wohnort: Leipzig
Vielen Dank für die Tips.

Problem Nr. 3 hat sich erledigt.

Der Rest leider noch nicht.
Da ich broadcom-wlan habe, ist 5.2 erstmal keine Option.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
retabell
Titel: Re: Probleme nach upgrade auf Buster  BeitragVerfasst am: 11.07.2019, 18:53 Uhr



Anmeldung: 04. Sep 2006
Beiträge: 221

thebluesman hat folgendes geschrieben::
Hallo

hab mein Kanotix nach dieser Anleitung
https://linuxconfig.org/how-to-upgrade-debian-9-stretch-to-debian-10-buster
aktualisiert.


Besser wär gewesen hier im Forum zu fragen oder im irc.

Zitat:

Im Großen und Ganzen läuft auch alles
aber:

das ist ja schon mal positiv :)

Zitat:
1. Compiz startet nicht mehr.

Compiz ist mit Silverfire so eine Sache...
Ich hatte eine Version fertig mit der ich zufrieden war.
Dann gab es bei Debian den Beschluss ein downgrade auf eine ältere Compiz Version
zu machen, von 0.9.13 wieder zurück auf 0.8.16
die configs passten nicht mehr und derAutostart auch nicht mehr.,
lange Rede kurzer Sinn, das war absolut nervtötend und zeitaufreibend.
https://packages.debian.org/search?keywords=compiz&searchon=names&suite=all&section=all

Bei einem upgrade habe ich keinen sauberen Weg.

deinstalliere erstmal
Code:
apt purge fusion-icon


und starte dann compiz über das Menu oder besser in Konsole
mit
Code:
compiz --replace

und schau ob so funktioniert.
Einige Änderungen wird es noch geben wenn es zeitlich passt.
Zitat:

2. Multibootusb und Virtualisierung mit qemu und kvm funktionieren nicht mehr.

Da kann ich eben nichts zu sagen.
Zitat:
3. Im Terminal werden Befehle nicht mehr gefunden


Sollte mit dem !su-fix erledigt sein
Zitat:

Was habsch falsch gemacht?
Lösung?
Infos?

Die Sources list wirst ja wohl erweitert haben,
Rest sollte sich ergeben
retabell
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
thebluesman
Titel:   BeitragVerfasst am: 12.07.2019, 16:59 Uhr



Anmeldung: 06. Okt 2007
Beiträge: 377
Wohnort: Leipzig
bei
Code:
 compiz --replace

verschwindet die Leiste unten und die Buttons im FF oben rechts.

Folgender Output in der konsole:

Code:
jan@lenovo:~$  compiz --replace

(gtk-window-decorator:1350): dbind-WARNING **: 17:53:50.486: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(gtk-window-decorator:1348): dbind-WARNING **: 17:53:50.486: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(gtk-window-decorator:1348): Gtk-WARNING **: 17:53:50.503: Theme parsing error: gtk-widgets.css:1214:18: Not using units is deprecated. Assuming 'px'.

(gtk-window-decorator:1350): Gtk-WARNING **: 17:53:50.503: Theme parsing error: gtk-widgets.css:1214:18: Not using units is deprecated. Assuming 'px'.
gtk-window-decorator: Ignoring unknown or already-used button name "appmenu"
gtk-window-decorator: Ignoring unknown or already-used button name "appmenu"
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile



Dann eben ohne compiz...
Smilie
Vielen Dank übrigens an alle Entwickler!
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
rolo48
Titel:   BeitragVerfasst am: 12.07.2019, 19:06 Uhr



Anmeldung: 31. Aug 2004
Beiträge: 1126
Wohnort: Schleswig-Holstein
thebluesman hat folgendes geschrieben::

Dann eben ohne compiz...
Smilie


Ich starte nur "compton" im Autostart. Gibt ein wenig transparente Fenster und so....

_________________
rolo48
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
retabell
Titel:   BeitragVerfasst am: 13.07.2019, 16:04 Uhr



Anmeldung: 04. Sep 2006
Beiträge: 221

thebluesman hat folgendes geschrieben::


Da ich broadcom-wlan habe, ist 5.2 erstmal keine Option.

Das sollte nun auch funktionieren nach dist-upgrade bzw nach Aktualisierung
von
Code:
broadcom-sta-dkms
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
thebluesman
Titel:   BeitragVerfasst am: 15.07.2019, 09:57 Uhr



Anmeldung: 06. Okt 2007
Beiträge: 377
Wohnort: Leipzig
Ihr seid spitze!
Smilie
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Kano
Titel:   BeitragVerfasst am: 15.07.2019, 18:11 Uhr



Anmeldung: 17. Dez 2003
Beiträge: 16691

Ich nehme meist des Meta-Paket qemu-kvm, aber ist Geschmackssache - also falls ich direkt Hardwarezugriff auf nehmen will, sonst find ich Vbox angenehmer.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Beiträge vom vorherigen Thema anzeigen:     
Gehe zu:  
Alle Zeiten sind GMT + 1 Stunde
Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
PNphpBB2 © 2003-2007 
 
Deutsch | English
Logos and trademarks are the property of their respective owners, comments are property of their posters, the rest is © 2004 - 2006 by Jörg Schirottke (Kano).
Consult Impressum and Legal Terms for details. Kanotix is Free Software released under the GNU/GPL license.
This CMS is powered by PostNuke, all themes used at this site are released under the GNU/GPL license. designed and hosted by w3you. Our web server is running on Kanotix64-2006.